/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Autorizacion;
import com.rjconsultores.ventaboletos.entidad.AutorizacionPerfil;
import com.rjconsultores.ventaboletos.entidad.Perfil;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderAutorizacionPerfil implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        AutorizacionPerfil autorizacionPerfil = (AutorizacionPerfil) o;

        Listcell lc = new Listcell();

        lc = new Listcell(autorizacionPerfil.getAutorizacionperfilId().toString());
        lc.setParent(lstm);

        Autorizacion autorizacion = autorizacionPerfil.getAutorizacion();
        if (autorizacion != null) {
            lc = new Listcell(autorizacion.getNombautorizacion());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Perfil perfil = autorizacionPerfil.getPerfil();
        if (perfil != null) {
            lc = new Listcell(perfil.getDescperfil());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", autorizacionPerfil);
    }
}
